Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: martin rudalics <[email-masked]>
Date: Fri, 06 Mar 2015 19:54:49 +0100

>> Emacs gets what it asked for.  Can't we reset the size hints in between?
 >> That's what I earlier meant by "interception".
 >
 > I don't follow.

If Emacs receives an xg_frame_resized request that does not fit into the
existing size hints scheme it could set new, fitting size hints.  This
way we would signal Gtk that we are OK with the requested values.

martin